log4j.category.org.seasar.struts=DEBUG, C
log4j.additivity.org.seasar.struts=false

log4j.appender.C=org.apache.log4j.ConsoleAppender
log4j.appender.C.Target=System.out
log4j.appender.C.ImmediateFlush=true
log4j.appender.C.layout=org.apache.log4j.PatternLayout
log4j.appender.C.layout.ConversionPattern=%-5p %d [%t] %m%n

log4j.rootLogger=INFO, A1
log4j.appender.A1=org.apache.log4j.ConsoleAppender
log4j.appender.A1.layout=org.apache.log4j.PatternLayout
log4j.appender.A1.layout.ConversionPattern=%d [%t] %-5p %c - %m%n

# myfaces logger
log4j.logger.net.sourceforge.myfaces=INFO
log4j.logger.net.sourceforge.myfaces.config=INFO
log4j.logger.net.sourceforge.myfaces.application=INFO
log4j.logger.net.sourceforge.myfaces.application.jsp=INFO
log4j.logger.net.sourceforge.myfaces.lifecycle=INFO
log4j.logger.net.sourceforge.myfaces.taglib=INFO
log4j.logger.net.sourceforge.myfaces.util.DebugUtils=INFO
log4j.logger.net.sourceforge.myfaces.renderkit.html.HtmlResponseWriterImpl=WARN
log4j.logger.net.sourceforge.myfaces.renderkit.html.HtmlRenderKitImpl=WAR